########################################
# LIBRARIES / MODULES definition       #
########################################

# to avoid multiple nucleus.def (import + include) 
ifndef NUCLEUS_DEF
   NUCLEUS_DEF = 1

### Nucleus libraries
###########################

  ifeq ($(OP_L1_STANDALONE),1)
    OUT_OS_LIB_DIR = $(OUT_LIB_DIR)
  endif

  export OS_FLASH_LIB     = $(OUT_OS_LIB_DIR)/nucleus_flash.lib
  export OS_INT_RAM_LIB   = $(OUT_OS_LIB_DIR)/nucleus_int_ram.lib
  export OS_LIB          := $(OS_FLASH_LIB) $(OS_INT_RAM_LIB)

  MODULES     += $(OS_NUC_DIR)

endif
